/**
 * Copyright (c) 2012 - 2017 Data In Motion and others.
 * All rights reserved. 
 * 
 * This program and the accompanying materials are made available under the terms of the 
 * Eclipse Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Data In Motion - initial API and implementation
 */
package org.eclipse.ece.messaging.core;

/**
 * Test constants and templates
 * @author Mark Hoffmann
 * @since 18.10.2017
 */
public interface ITestConstants {
	
	// http://www.wettergefahren.de/warnungen/windwarnskala.html 0 <= value < 17
	public static final String MESSAGE_TEMPLATE_TEMPERATURE_01 = "{ locationId:\"kitchen\", value: %d, c:\"%s\", time:%o}";
	public static final String MESSAGE_TEMPLATE_TEMPERATURE_02 = "{ locationId:\"office\", value: %d, c:\"%s\", time:%o}";
	// http://www.wettergefahren.de/warnungen/windwarnskala.html 0 <= value < 17
	public static final String MESSAGE_TEMPLATE_WIND = "{ location:\"garden\", value: %d, src:\\\"%s\\\", unit:\"mps\", timestamp:%o}";
	public static final String MQTT_TOPIC_TEMP = "mqtt.temperatur";
	public static final String MQTT_TOPIC_WIND = "mqtt.wind";
	public static final String WS_PATH = "/events";
	public static final String MQTT_BROKER_URL = "tcp://localhost:1883";
	public static final String WS_BROKER_URL = "ws://localhost:8888";

}
